var path = require('path');
var webpack = require('webpack');
var config = require('./webpack.config.js');
var ExtractTextPlugin = require('extract-text-webpack-plugin');

delete config.devtool;
delete config.watch;
delete config.plugins;

config.entry = './src/index.js';

config.plugins = [
    new webpack.BannerPlugin(config.banner, {
        raw: true,
        entryOnly: true
    }),

    new ExtractTextPlugin('./keen-ui.min.css'),

    new webpack.DefinePlugin({
        'process.env': {
            NODE_ENV: '"production"'
        }
    }),

    new webpack.optimize.UglifyJsPlugin({
        compress: {
            warnings: false
        }
    }),

    new webpack.optimize.OccurenceOrderPlugin()
];

config.output = {
    path: path.join(__dirname, 'dist/min'),
    filename: 'keen-ui.min.js',
    library: 'Keen',
    libraryTarget: 'umd'
};

module.exports = config;
